import {createRouter, createWebHashHistory, RouteRecordRaw} from "vue-router";

const routes: Array<RouteRecordRaw> = [
  {
    path: "/",
    name: "Home",
    component: () => import("@/views/Home.vue")
  },
  {
    path: "/login",
    name: "Login",
    component: () => import("@/views/Login.vue"),
  },
  {
    path: "/register",
    name: "Register",
    component: () => import("@/views/Register.vue"),
  },
  {
    path: "/right",
    name: "Right",
    component: () => import("@/views/home/right/index.vue")
  },
  {
    path: '/zoomLoading',
    name: "ZoomLoading",
    component: () => import("@/views/ZoomLoading.vue"),
  },
  {
    path: '/:pathMatch(.*)',
    redirect: '/',
  }
];

const router = createRouter({
  history: createWebHashHistory(),
  routes
});

export default router;
